Package com.databend.jdbc

## Enum DatabendConnectionExtension.LoadMethod

- java.lang.Object
- - java.lang.Enum<DatabendConnectionExtension.LoadMethod>
  - - com.databend.jdbc.DatabendConnectionExtension.LoadMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabendConnectionExtension.LoadMethod>`

Enclosing interface:
  DatabendConnectionExtension

    public static enum DatabendConnectionExtension.LoadMethod
    extends Enum<DatabendConnectionExtension.LoadMethod>

Enumeration of available loading strategies for streaming data into tables.

### Enum Constant Summary

Enum Constants
`STAGE` Load strategy that first uploads the stream to a Databend internal stage, then loads the data from the stage into the target table.
`STREAMING` Direct streaming strategy that loads data directly into the target table without intermediate stage storage.

### Method Summary

All Methods Static Methods Concrete Methods
`static DatabendConnectionExtension.LoadMethod` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DatabendConnectionExtension.LoadMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STAGE

    public static final DatabendConnectionExtension.LoadMethod STAGE

Load strategy that first uploads the stream to a Databend internal stage, then loads the data from the stage into the target table. Suitable for large files or scenarios requiring temporary storage.

#### STREAMING

    public static final DatabendConnectionExtension.LoadMethod STREAMING

Direct streaming strategy that loads data directly into the target table without intermediate stage storage. Optimized for real-time or small-to-medium size data streams.

### Method Detail

#### values

    public static DatabendConnectionExtension.LoadMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabendConnectionExtension.LoadMethod c : DatabendConnectionExtension.LoadMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabendConnectionExtension.LoadMethod valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null